<?php

namespace App\Admin\Actions\Service;

use App\Models\Serviceapplys;
use Encore\Admin\Actions\RowAction;
use Illuminate\Database\Eloquent\Model;

class RevokeAction extends RowAction
{
    public $name = '撤销';

    public function handle(Model $model)
    {
        // $model ...
//        dd($this->row->id);
        Serviceapplys::where('id',$this->row->id)->update(['status'=>3]);
        return $this->response()->success('撤销成功')->refresh();
    }

}